// ============================================================================
// File:               $File$
//
// Project:            Maze creator.
//
// Purpose:
//
// Author:             Rammi
//-----------------------------------------------------------------------------
// Copyright Notice:   (c) 2004-2012  Rammi (rammi@caff.de)
//
//                     This code was part of the irrGardener maze creation tool
//                     (see http://caff.de/maze/)
//                     and may be used and changed without restrictions
//                     since December 19, 2006.
//                     No guarantees are given.
//
// Latest change:      $Date: 2012/06/07 18:36:39 $
//
// History:	       $Log: OutputMazePainterCreator.java,v $
// History:	       Revision 1.1  2012/06/07 18:36:39  rammi
// History:	       FIxed typo in copyright comment.
// History:	       Added vector format outputs to DXF and SVG.
// History:
//=============================================================================
package de.caff.maze;

import java.io.OutputStream;

/**
 * Simple creator for maze painters.
 * @author <a href="mailto:rammi@caff.de">Rammi</a>
 * @version $Revision: 1.1 $
 */
public interface OutputMazePainterCreator
{
  /**
   * Create a maze painter writing to a given output stream.
   * @param out output stream
   * @return maze painter
   */
  MazePainter createPainter(OutputStream out);
}
